Bug 1302811 - backport the metadata_cache_expiration config option to avoid harcoded value of 15s
backport the metadata_cache_expiration config option to avoid harcoded value ...
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
5.0 (RHEL 7)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 5.0 (RHEL 6)
Assigned To: Sven Anderson
: TestOnly, ZStream
Depends On: 1302401 1302812 1302813
  Show dependency treegraph
Reported: 2016-01-28 11:51 EST by Sven Anderson
Modified: 2016-03-21 14:35 EDT (History)
12 users (show)

See Also:
Fixed In Version: openstack-nova-2014.1.5-22.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1302401
Last Closed: 2016-03-21 14:35:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1366139 None None None 2016-01-28 11:51 EST
OpenStack gerrit 159264 None None None 2016-01-28 11:51 EST

  None (edit)
Description Sven Anderson 2016-01-28 11:51:37 EST
+++ This bug was initially created as a clone of Bug #1302401 +++

The metadata cache expiration timeout was hardcoded to 15 seconds in versions older than kilo (OSP7).

In kilo a new configuration option was added:


  Time in seconds to cache metadata; 0 to disable
  metadata caching entirely (not recommended). Increasing
  this should improve response times of the metadata API
  when under heavy load. Higher values may increase memory
  usage and result in longer times for host metadata
  changes to take effect.

introduced in:


This config option should be backported to OSP5 in order to provide the same flexibility and avoid premature cache expiration in cases where the metadata is highly static.

--- Additional comment from Red Hat Bugzilla Rules Engine on 2016-01-27 13:30:20 EST ---

Since this issue was entered in bugzilla without a release flag set, rhos-8.0? has been automatically added to ensure that it is properly evaluated for this release.
Comment 2 Lon Hohberger 2016-03-15 16:11:56 EDT
According to our records, this should be resolved by openstack-nova-2014.1.5-29.el6ost.  This build is available now.

Note You need to log in before you can comment on or make changes to this bug.